Package com.gpudb.protocol
Class AlterDatasinkRequest.DatasinkUpdatesMap
java.lang.Object
com.gpudb.protocol.AlterDatasinkRequest.DatasinkUpdatesMap
Enclosing class:
A set of string constants for the
AlterDatasinkRequest parameter datasinkUpdatesMap.
Map containing the properties of the data sink to be updated. Error if empty.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringCreate an anonymous connection to the storage provider—DEPRECATED: this is now the default.static final StringName of the Azure storage container to use as the data sink.static final StringOAuth token to access given storage container.static final StringShared access signature token for Azure storage account to use as the data sink.static final StringName of the Azure storage account to use as the data sink, this is valid only if tenant_id is specified.static final StringActive Directory tenant ID (or directory ID).static final StringWhether to use virtual addressing when referencing the Azure source.static final StringTimeout in seconds for connecting to this sink.static final StringName of the credential object to be used in this data sink.static final StringDestination for the output data in format ‘destination_type://path[:port]‘.static final Stringstatic final StringA single record is returned per message.static final StringName of the Google Cloud Storage bucket to use as the data sink.static final StringName of the Google Cloud project to use as the data sink.static final StringGoogle Cloud service account keys to use for authenticating the data sink.static final StringDelegation token for the given HDFS user.static final StringKerberos keytab file location for the given HDFS user.static final StringUse kerberos authentication for the given HDFS cluster.static final StringName of the JDBC driver class.static final StringJDBC driver jar file location.static final StringThe desired format of JSON encoded notifications message.static final StringName of the Kafka topic to use for this data sink, if it references a Kafka broker.static final StringThe publicly-accessible full path URL to the kafka broker, e.g., ‘http://172.123.45.67:9300’.static final StringMaximum number of records per notification message.static final StringMaximum size in bytes of each notification message.static final StringRecords are returned as an array per message.static final StringAmazon IAM Role ARN which has required S3 permissions that can be assumed for the given S3 IAM user.static final StringName of the Amazon S3 bucket to use as the data sink.static final StringCustomer encryption algorithm used encrypting data.static final StringCustomer encryption key to encrypt or decrypt data.static final StringServer side encryption type.static final StringKMS key.static final StringName of the Amazon S3 region where the given bucket is located.static final StringWhether to use virtual addressing when referencing the Amazon S3 sink.static final StringWhether to verify SSL connections.static final StringUpdates the schema name.static final StringBypass validation of connection to this data sink.static final Stringstatic final StringUse HTTPS to connect to datasink if true, otherwise use HTTP.static final StringWhen no credentials are supplied, we use anonymous access by default.static final StringTimeout in seconds for waiting for a response from this sink.
Field Details
S3_USE_VIRTUAL_ADDRESSING
Whether to use virtual addressing when referencing the Amazon S3 sink. Supported values:TRUE: The requests URI should be specified in virtual-hosted-style format where the bucket name is part of the domain name in the URL.FALSE: Use path-style URI for requests.
TRUE.See Also:AZURE_USE_VIRTUAL_ADDRESSING
Whether to use virtual addressing when referencing the Azure source. Supported values:TRUE: The requests URI should be specified in virtual-hosted-style format where the bucket name is part of the domain name in the URL.FALSE: Use path-style URI for requests.
TRUE.See Also:KAFKA_URL
The publicly-accessible full path URL to the kafka broker, e.g., ‘http://172.123.45.67:9300’.See Also:SCHEMA_NAME
Updates the schema name. IfSCHEMA_NAMEdoesn’t exist, an error will be thrown. IfSCHEMA_NAMEis empty, then the user’s default schema will be used.See Also: